Subject: bug#69709: `sort` interface improvement and universal ordering predicate

From: Dmitry Gutov <[email-masked]>
Date: Sun, 10 Mar 2024 19:54:16 +0200

On 10/03/2024 18:55, Eli Zaretskii wrote:
>> Cc:[email-masked]
>> From: Mattias Engdegård<[email-masked]>
>> Date: Sun, 10 Mar 2024 17:46:59 +0100
>>
>> 10 mars 2024 kl. 17.03 skrev Dmitry Gutov<[email-masked]>:
>>
>>> That sounds more confusing, though (you drop the 'pred' argument, and the function changes behavior, possibly becoming slower too).
>> Is it really surprising that behaviour changes if you remove a previously-mandatory argument from a call without reading the documentation? It seems unlikely that this would happen by accident.
> I think we should delay this discussion until we see the first draft
> of the code and the documentation to go with it.  As long as the issue
> is in Mattias's sights, I'm sure the result will be acceptable, to say
> the least.

I do think it's problematic, but it's not a deal-breaker, so if everyone 
else is fine with it, let's proceed.